Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452768 - 5.1 to 5.2 update install replaced my /etc/fstab
Summary: 5.1 to 5.2 update install replaced my /etc/fstab
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.2
Hardware: x86_64
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 22:23 UTC by Jeffrey Needham
Modified: 2008-12-10 19:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-10 19:10:27 UTC


Attachments (Terms of Use)

Description Jeffrey Needham 2008-06-24 22:23:29 UTC
Description of problem:
When I did an update install from RHEL5.1 to RHEL5.2, some process removed my
existing GFS mount point entries from my /etc/fstab file

Version-Release number of selected component (if applicable):
RHEL5.2 (Released)

How reproducible:
I performed an NFS-based update install on a fully configured CS4/GFS1 cluster
node with mounted GFS volumes.

Steps to Reproduce:
1. Execute an NFS Update install
2. Upon successful install and reboot, check the fstab
3.
  
Actual results:
both my GFS and NFS mounts were removed as my fstab was overwritten

Expected results:
/etc/fstab untouched or archived somewhere, at the very least

Additional info:
Looks more like an overwrite without doing a backup (that I could find).

Comment 1 RHEL Product and Program Management 2008-07-25 17:02:36 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 2 Ludek Smid 2008-07-25 22:03:55 UTC
Unfortunately the previous automated notification about the
non-inclusion of this request in Red Hat Enterprise Linux 5.3 used
the wrong text template. It should have read: this request has been
reviewed by Product Management and is not planned for inclusion
in the current minor release of Red Hat Enterprise Linux.

If you would like this request to be reviewed for the next minor
release, ask your support representative to set the next rhel-x.y
flag to "?" or raise an exception.

Comment 3 Chris Lumens 2008-12-10 19:10:27 UTC
In RHEL6, we will be making a backup of the /etc/fstab file just for cases like this, in addition to understanding more types of filesystems.  I'm going to close this as NEXTRELEASE for now.  However if it's really critical to look at for 5.4, feel free to reopen and set the appropriate flag so we can consider it.


Note You need to log in before you can comment on or make changes to this bug.